searchData={"items":[{"type":"module","title":"TesseraxLive","doc":"Creates a canvas component with functionality to read the image drawn in the canvas via Tesseract.","ref":"TesseraxLive.html"},{"type":"function","title":"TesseraxLive.read/1","doc":"Sends an update telling the LiveComponent to read the currently drawn image in the canvas via Tesseract OCR.","ref":"TesseraxLive.html#read/1"},{"type":"function","title":"Examples - TesseraxLive.read/1","doc":"tesserax_canvas_id = \"tesserax_canvas\"\n    TesseraxLive.read(tesserax_canvas_id)","ref":"TesseraxLive.html#read/1-examples"},{"type":"function","title":"TesseraxLive.read/2","doc":"","ref":"TesseraxLive.html#read/2"},{"type":"function","title":"TesseraxLive.reset/1","doc":"Sends an update telling the LiveComponent to reset the canvas.","ref":"TesseraxLive.html#reset/1"},{"type":"function","title":"Examples - TesseraxLive.reset/1","doc":"tesserax_canvas_id = \"tesserax_canvas\"\n    TesseraxLive.reset(tesserax_canvas_id)","ref":"TesseraxLive.html#reset/1-examples"},{"type":"function","title":"TesseraxLive.set_opts/2","doc":"Sends an update to Tesserax LiveComponent by ID and with parameters for setting Tesserax command.","ref":"TesseraxLive.html#set_opts/2"},{"type":"function","title":"Examples - TesseraxLive.set_opts/2","doc":"tesserax_canvas_id = \"tesserax-canvas\"\n    opts = [\n      languages: \"eng\", \n      tessdata: \"path/to/tessdata\", \n      config: \"path/to/config\", \n      psm: 3, \n      oem: 3\n    ]\n    TesseraxLive.set_opts(tesserax_canvas_id, opts)","ref":"TesseraxLive.html#set_opts/2-examples"},{"type":"extras","title":"TesseraxLive","doc":"# TesseraxLive\n\nThis package provides a `LiveComponent` to be used with `LiveView` that creates a canvas HTML component. \nFurthermore, this package utilizes `Tesserax`, which uses Tesseract OCR, to recognize the drawn text inside the canvas HTML component.","ref":"readme.html"},{"type":"extras","title":"Usage - TesseraxLive","doc":"In `./assets/js/app.js` add\n```\n...\nimport { TesseraxCanvas } from \"tesserax_live\"\n\nlet Hooks = {};\n\nHooks.TesseraxCanvas = TesseraxCanvas;\n\n...\nlet liveSocket = new LiveSocket(\"/live\", Socket, {\n    ...\n    hooks: Hooks\n})\n...\n```\n\nIn your LiveView HEEx, add the following\n```\n~H\"\"\"\n...\n<.live_component module={TesseraxLive} id=\"canvas-ID\" />\n...\n\"\"\"\n```\n\nUse the interface functions to interact with the canvas component:\n- `read/1`: reads the image in the canvas and sends it for recognition with [Tesserax](https://github.com/zteln/tesserax).\n- `read/2`: takes a path to an image (e.g. file upload) and uses Tesserax to read the image.\n- `set_opts/2`: sets opts in the `%Tesserax.Command{}` struct.\n- `reset/1`: resets the canvas component.","ref":"readme.html#usage"},{"type":"extras","title":"Installation - TesseraxLive","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `tesserax_live` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:tesserax_live, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2024 zteln\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}